Bug 1123398 - Review Request: python-jmespath - JSON Matching Expressions
Summary: Review Request: python-jmespath - JSON Matching Expressions
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1123399 1123402
TreeView+ depends on / blocked
 
Reported: 2014-07-25 14:13 UTC by Lubomir Rintel
Modified: 2014-07-30 12:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 12:59:35 UTC
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2014-07-25 14:13:23 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/python-jmespath.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/python-jmespath-0.4.1-1.el7.centos.src.rpm

Description:

JMESPath allows you to declaratively specify how to extract elements from
a JSON document.

Comment 2 Haïkel Guémar 2014-07-26 08:04:12 UTC
Since this package complies with Fedora packaging guidelines, and works as expected, I hereby approve it. Formal review is below.
Please submit a scm request.

I'll finish the reviews blocked by this one as soon as python{,3}-jmespath is imported in rawhide.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 22 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1123398-python-jmespath/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-jmespath
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-jmespath-0.4.1-2.fc20.noarch.rpm
          python3-jmespath-0.4.1-2.fc20.noarch.rpm
          python-jmespath-0.4.1-2.fc20.src.rpm
python-jmespath.noarch: W: spelling-error %description -l en_US declaratively -> declarative, decoratively, relatively
python-jmespath.noarch: W: no-manual-page-for-binary jp
python3-jmespath.noarch: W: spelling-error %description -l en_US declaratively -> declarative, decoratively, relatively
python3-jmespath.noarch: W: no-manual-page-for-binary python3-jp
python-jmespath.src: W: spelling-error %description -l en_US declaratively -> declarative, decoratively, relatively
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-jmespath python-jmespath
python3-jmespath.noarch: W: spelling-error %description -l en_US declaratively -> declarative, decoratively, relatively
python3-jmespath.noarch: W: no-manual-page-for-binary python3-jp
python-jmespath.noarch: W: spelling-error %description -l en_US declaratively -> declarative, decoratively, relatively
python-jmespath.noarch: W: no-manual-page-for-binary jp
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
python3-jmespath (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)

python-jmespath (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)



Provides
--------
python3-jmespath:
    python3-jmespath

python-jmespath:
    python-jmespath



Source checksums
----------------
https://pypi.python.org/packages/source/j/jmespath/jmespath-0.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : 891c49161f8216d1bda07104562dc7bac22aacd4c69ae149ddf1ccd59a4e3096
  CHECKSUM(SHA256) upstream package : 891c49161f8216d1bda07104562dc7bac22aacd4c69ae149ddf1ccd59a4e3096

Comment 3 Lubomir Rintel 2014-07-28 08:30:52 UTC
New Package SCM Request
=======================
Package Name: python-jmespath
Short Description: JSON Matching Expressions
Upstream URL: https://github.com/boto/jmespath
Owners: lkundrak jtaylor
Branches: f19 f20 f21 el6 epel7

Comment 4 Gwyn Ciesla 2014-07-28 12:20:33 UTC
Git done (by process-git-requests).

Comment 5 Lubomir Rintel 2014-07-30 12:59:35 UTC
Imported and built. Thank you!


Note You need to log in before you can comment on or make changes to this bug.